Bug 961623 - rlFileBackup --clean is not safe,
rlFileBackup --clean is not safe,
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: beakerlib (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Muller
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-10 01:56 EDT by Yin.JianHong
Modified: 2016-09-19 22:09 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-23 07:46:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yin.JianHong 2013-05-10 01:56:11 EDT
Description of problem:
  In rhel7
  Use rlFileBackup --clean /etc, and then restore, the system crash.

Version-Release number of selected component (if applicable):
  RHEL-7.0-20130306.0 Workstation x86_64

How reproducible:
always

Steps to Reproduce:
1. In rhel7.
2. rlFileBackup --clean /etc
3. rlFileRestore
  
Actual results:
system crash. keyboard/ping no response.

Expected results:
system normal.

Additional info:
Comment 1 Yin.JianHong 2013-05-10 01:57:17 EDT
 rm -rf the cleanup file/dir is not good idea.
 It's safer that traversal all file, if no exist in backup dir then delete.
Comment 2 Petr Muller 2013-05-23 07:46:36 EDT
Not inclined to fix this. --clean performs exactly what it is documented to do:

--clean
           If this option is provided (have to be first option of the command), then
           file/dir backuped using this command (provided in next options) will be
           (resursively) removed before we will restore it.

If something is not safe to remove at all, do not call --clean on it.

Note You need to log in before you can comment on or make changes to this bug.